Bug 176287 - libpng-devel uninstallable with FC3 RPM
libpng-devel uninstallable with FC3 RPM
Status: CLOSED DEFERRED
Product: Fedora Legacy
Classification: Retired
Component: libpng (Show other bugs)
rhl7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Fedora Legacy Bugs
LEGACY, 7.3, DEFER
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 15:53 EST by John Dalbec
Modified: 2007-04-18 13:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 10:51:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Dalbec 2005-12-20 15:53:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2) Gecko/20040804 Netscape/7.2 (ax)

Description of problem:
FC3 RPM expects the versioned dependency on libpng to have the form %{epoch}:%{release}.  A versioned dependency of the form %{release} is considered a mismatch.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set up a RH 7.3 buildroot in Mach on FC 3.
2. Install libpng and zlib-devel in the buildroot.
3. Try to install libpng-devel in the buildroot.
  

Actual Results:  Step 3 fails.

Expected Results:  Step 3 should work.

Additional info:
Comment 1 John Dalbec 2005-12-20 16:06:35 EST
--- libpng.spec.orig 2005-12-20 16:09:01.000000000 -0500
+++ libpng.spec 2005-12-20 15:39:26.000000000 -0500
@@ -31,7 +31,7 @@
 %package devel
 Summary: Development tools for programs to manipulate PNG image format files.
 Group: Development/Libraries
-Requires: %{name} = %{version}, zlib-devel
+Requires: %{name} = %{epoch}:%{version}, zlib-devel
 
 %description devel
 The libpng-devel package contains the header files and static
Comment 2 Jesse Keating 2006-08-13 10:51:08 EDT
Not a security issue, would be fixed if every a libpng is released for security
reasons.

Note You need to log in before you can comment on or make changes to this bug.